# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(Future/AsyncAwait/ExtensionBuilder.pm) perl(Metrics/Any.pm) perl(Module/Build.pm) perl(Test/Metrics/Any.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm)
# END SourceDeps(oneline)
%define module_name Future-AsyncAwait-Metrics
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt2
Summary: report metrics from C<Future::AsyncAwait> to C<Metrics::Any>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides no functions or other import symbols. Instead, by simply
loading it somewhere in the program, additional metrics are created and
reported to the Metrics::Any manpage about the operation of the Future::AsyncAwait manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/F*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt2
- rebuild with perl 5.38

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 0.01-alt1
- initial import by package builder

